# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ksef-shared-types"
version = "0.3.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Shared Rust types for KSeF services."
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/ksefgpt/ksef-shared-types"

[features]
default = []
utoipa = ["dep:utoipa"]

[lib]
name = "ksef_shared_types"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.utoipa]
version = "5"
features = ["chrono"]
optional = true
